FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor


 
 
LinkBack Thread Tools
 
Old 10-25-2011, 03:12 PM
Tobias Powalowski
 
Default linux-3.1-1

Hi guys,
please signoff 3.1 series for both arches.

Upstream
changes:
http://kernelnewbies.org/LinuxChanges

Archlinux Changes:
- $(uname -r) reports now the full kernel version
- all external modules should be installed in
/lib/modules/extramodules-3.1-ARCH now
- disabled the old IDE subsystem,
marked as deprecated for quite some time
All users of the old ide hook in mkinitcpio
should make the transition to pata hook now!
- disabled the old ACPI /proc files,
marked as deprecated for quite some time,
everything is available in /sys

greetings
tpowa
--
Tobias Powalowski
Archlinux Developer & Package Maintainer (tpowa)
http://www.archlinux.org
tpowa@archlinux.org
 
Old 10-25-2011, 03:12 PM
Tobias Powalowski
 
Default linux-3.1-1

Hi guys,
please signoff 3.1 series for both arches.

Upstream
changes:
http://kernelnewbies.org/LinuxChanges

Archlinux Changes:
- $(uname -r) reports now the full kernel version
- all external modules should be installed in
/lib/modules/extramodules-3.1-ARCH now
- disabled the old IDE subsystem,
marked as deprecated for quite some time
All users of the old ide hook in mkinitcpio
should make the transition to pata hook now!
- disabled the old ACPI /proc files,
marked as deprecated for quite some time,
everything is available in /sys

greetings
tpowa
--
Tobias Powalowski
Archlinux Developer & Package Maintainer (tpowa)
http://www.archlinux.org
tpowa@archlinux.org
 
Old 10-25-2011, 03:18 PM
Thomas Bächler
 
Default linux-3.1-1

Am 25.10.2011 17:12, schrieb Tobias Powalowski:
> Archlinux Changes:
> - $(uname -r) reports now the full kernel version
> - all external modules should be installed in
> /lib/modules/extramodules-3.1-ARCH now

I made a mistake here, regarding the 'depmod' commands in the external
module post_install/upgrade procedures. We'll need a rebuild of
everything to fix that. You shouldn't notice the problem now, but we
still need to fix it before moving to core.

Thanks to Ionut for spotting this.
 
Old 10-25-2011, 03:27 PM
fredbezies
 
Default linux-3.1-1

2011/10/25 Tobias Powalowski <tobias.powalowski@googlemail.com>:
> Hi guys,
> please signoff 3.1 series for both arches.
>
> Upstream
> changes:
> http://kernelnewbies.org/LinuxChanges
>
> Archlinux Changes:
> - $(uname -r) reports now the full kernel version
> - all external modules should be installed in
> */lib/modules/extramodules-3.1-ARCH now
> - disabled the old IDE subsystem,
> *marked as deprecated for quite some time
> *All users of the old ide hook in mkinitcpio
> *should make the transition to pata hook now!
> - disabled the old ACPI /proc files,
> *marked as deprecated for quite some time,
> *everything is available in /sys
>
> greetings
> tpowa
> --
> Tobias Powalowski
> Archlinux Developer & Package Maintainer (tpowa)
> http://www.archlinux.org
> tpowa@archlinux.org
>
>

Works here on my laptop. Will try it on my desktop computer asap.

Too bad I do not have any signup rights

--
Frederic Bezies
fredbezies@gmail.com
 
Old 10-25-2011, 03:29 PM
Yuan
 
Default linux-3.1-1

wow, cheers
>>
Yuan






On Tue, Oct 25, 2011 at 11:12 PM, Tobias Powalowski <
tobias.powalowski@googlemail.com> wrote:

> Hi guys,
> please signoff 3.1 series for both arches.
>
> Upstream
> changes:
> http://kernelnewbies.org/LinuxChanges
>
> Archlinux Changes:
> - $(uname -r) reports now the full kernel version
> - all external modules should be installed in
> /lib/modules/extramodules-3.1-ARCH now
> - disabled the old IDE subsystem,
> marked as deprecated for quite some time
> All users of the old ide hook in mkinitcpio
> should make the transition to pata hook now!
> - disabled the old ACPI /proc files,
> marked as deprecated for quite some time,
> everything is available in /sys
>
> greetings
> tpowa
> --
> Tobias Powalowski
> Archlinux Developer & Package Maintainer (tpowa)
> http://www.archlinux.org
> tpowa@archlinux.org
>
>
>
>
>
 
Old 10-25-2011, 03:31 PM
Alex Ferrando
 
Default linux-3.1-1

Bootable and working on x86_64 laptop

On Tue 25 Oct 2011 17:27:40 CEST, fredbezies wrote:

2011/10/25 Tobias Powalowski<tobias.powalowski@googlemail.com>:

Hi guys,
please signoff 3.1 series for both arches.

Upstream
changes:
http://kernelnewbies.org/LinuxChanges

Archlinux Changes:
- $(uname -r) reports now the full kernel version
- all external modules should be installed in
/lib/modules/extramodules-3.1-ARCH now
- disabled the old IDE subsystem,
marked as deprecated for quite some time
All users of the old ide hook in mkinitcpio
should make the transition to pata hook now!
- disabled the old ACPI /proc files,
marked as deprecated for quite some time,
everything is available in /sys

greetings
tpowa
--
Tobias Powalowski
Archlinux Developer& Package Maintainer (tpowa)
http://www.archlinux.org
tpowa@archlinux.org




Works here on my laptop. Will try it on my desktop computer asap.

Too bad I do not have any signup rights
 
Old 10-25-2011, 03:37 PM
Christian Hesse
 
Default linux-3.1-1

Tobias Powalowski <tobias.powalowski@googlemail.com> on Tue, 25 Oct 2011
17:12:22 +0200:
> Hi guys,
> please signoff 3.1 series for both arches.
>
> Upstream
> changes:
> http://kernelnewbies.org/LinuxChanges
>
> Archlinux Changes:
> - $(uname -r) reports now the full kernel version
> - all external modules should be installed in
> /lib/modules/extramodules-3.1-ARCH now
> - disabled the old IDE subsystem,
> marked as deprecated for quite some time
> All users of the old ide hook in mkinitcpio
> should make the transition to pata hook now!
> - disabled the old ACPI /proc files,
> marked as deprecated for quite some time,
> everything is available in /sys

x86_64 works fine on Samsung NF310.
--
Schoene Gruesse
Chris
 
Old 10-25-2011, 04:14 PM
Tom Gundersen
 
Default linux-3.1-1

On Tue, Oct 25, 2011 at 5:12 PM, Tobias Powalowski
<tobias.powalowski@googlemail.com> wrote:
> - disabled the old IDE subsystem,
> *marked as deprecated for quite some time
> *All users of the old ide hook in mkinitcpio
> *should make the transition to pata hook now!

Did Dan's patches (or equivalent) land in time for 3.1? I did not
notice them flying by, but I might have missed them in the kernel git
log.

For me, it boots, "dmesg --kernel --level err" is empty, and the
warnings I get seem to be the kernel telling me I have crappy hardware
(which I believe). So:

signoff x86_64

-t
 
Old 10-25-2011, 04:14 PM
Tom Gundersen
 
Default linux-3.1-1

On Tue, Oct 25, 2011 at 5:12 PM, Tobias Powalowski
<tobias.powalowski@googlemail.com> wrote:
> - disabled the old IDE subsystem,
> *marked as deprecated for quite some time
> *All users of the old ide hook in mkinitcpio
> *should make the transition to pata hook now!

Did Dan's patches (or equivalent) land in time for 3.1? I did not
notice them flying by, but I might have missed them in the kernel git
log.

For me, it boots, "dmesg --kernel --level err" is empty, and the
warnings I get seem to be the kernel telling me I have crappy hardware
(which I believe). So:

signoff x86_64

-t
 
Old 10-25-2011, 04:18 PM
Dan McGee
 
Default linux-3.1-1

On Tue, Oct 25, 2011 at 11:14 AM, Tom Gundersen <teg@jklm.no> wrote:
> On Tue, Oct 25, 2011 at 5:12 PM, Tobias Powalowski
> <tobias.powalowski@googlemail.com> wrote:
>> - disabled the old IDE subsystem,
>> *marked as deprecated for quite some time
>> *All users of the old ide hook in mkinitcpio
>> *should make the transition to pata hook now!
>
> Did Dan's patches (or equivalent) land in time for 3.1? I did not
> notice them flying by, but I might have missed them in the kernel git
> log.
Nope, but that's OK by me. If someone else has my exact hardware, I'll
be glad to provide a rebuilt module that I'm going to have to build
locally for now.

Of course, they haven't landed post-3.1 yet as of v3.1-2828-g7670c70...

> For me, it boots, "dmesg --kernel --level err" is empty, and the
> warnings I get seem to be the kernel telling me I have crappy hardware
> (which I believe). So:
>
> signoff x86_64
>
> -t
 

Thread Tools




All times are GMT. The time now is 09:59 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org